/*
 *  cjogame.h
 *  Othello
 *
 *  Created by Curtis Jones on 2010.09.27.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef __CJO_GAME_H__
#define __CJO_GAME_H__

#include "cjoboard.h"
#include "cjospace.h"

//
// cjogame
//
struct cjogame
{
	cjoboard_t board;                    // game board
	cjostate_t player;                   // indicates current player (CJO_STATE_WHITE | BLACK)
};
typedef struct cjogame cjogame_t;

/**
 * Initializes the game. Returns zero on success; and a negative value otherwise.
 */
int cjogame_init (cjogame_t*);

/**
 * Returns the number of pieces taken in the play or a negative number if the play is illegal.
 */
int cjogame_play (cjogame_t*, cjospace_t);

/**
 * Returns the best next move for the current player.
 */
cjospace_t cjogame_analyze (cjogame_t*);

#endif /* __CJO_GAME_H__ */
